Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.cas
Interface FSFloatConstraint

All Superinterfaces:
  FSConstraint, Serializable

    public interface FSFloatConstraint

extends FSConstraint

Interface for a float constraint. A float constraint contains 0 or more tests, the results of which are "anded" together. To set a test, use any of the methods on this class (except "match").

To use the constraint, invoke its `match(float)` method, passing the value to test. You can also embed this test with a path specification, using the `ConstraintFactory.embedConstraint(FeaturePath, FSConstraint)` method, and use it to test feature structures, or combine it with other tests using the `ConstraintFactory.and(FSMatchConstraint, FSMatchConstraint)` and `ConstraintFactory.or(FSMatchConstraint, FSMatchConstraint)` methods.

Method Summary
`void` | `eq(float f)` Require float value to be equal `f`.
`void` | `geq(float f)` Require float value to be greater than or equal to `f`.
`void` | `gt(float f)` Require float value to be greater than `f`.
`void` | `leq(float f)` Require float value to be less than or equal to `f`.
`void` | `lt(float f)` Require float value to be less than `f`.
`boolean` | `match(float f)` Check if float matches defined constraints.

Method Detail

### eq

    void eq(float f)

  Require float value to be equal `f`.

  Parameters:
    `f` - Matched value must be equal to this.

### lt

    void lt(float f)

  Require float value to be less than `f`.

  Parameters:
    `f` - Matched value must be less than this.

### leq

    void leq(float f)

  Require float value to be less than or equal to `f`.

  Parameters:
    `f` - Matched value must be less than or equal to this.

### gt

    void gt(float f)

  Require float value to be greater than `f`.

  Parameters:
    `f` - Matched value must be greater than this.

### geq

    void geq(float f)

  Require float value to be greater than or equal to `f`.

  Parameters:
    `f` - Matched value must be greater than or equal to this.

### match

    boolean match(float f)

  Check if float matches defined constraints.

  Parameters:
    `f` - The float to be checked.
  Returns:
    `true` iff the float satisfies the constraints.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.